Create Redirects Export Job
Creates a new 301 Redirects export job.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
Data necessary to create a new 301 Redirects export job.
site_id
The site ID for which you wish to export redirects. If no site ID is provided, the request exports all redirects for all sites.
redirect_ids
A list of the redirect IDs you wish to export. If no redirect IDs are provided, the request exports all redirects for the given site selection.
include_dynamic_target_urls
If true, the exported CSV will contain an additional read-only column containing the target URL for dynamic redirects.
Response
Created
id
Errors
409
Conflict Error
429
Too Many Requests Error